unit ESDigitalClock;

interface

uses
  SysUtils, Classes, Controls, StdCtrls, ExtCtrls;

type
  TESDigitalClock = class(TCustomLabel)
  private
    { Private declarations }
    FTimer: TTimer;
    procedure UpdateCaption(Sender: TObject);
  protected
    { Protected declarations }
  public
    { Public declarations }
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
  published
    { Published declarations }
    property Align;
    property Alignment;
    property Anchors;
    property AutoSize;
    property BiDiMode;
    property Color nodefault;
    property Constraints;
    property DragCursor;
    property DragKind;
    property DragMode;
    property Enabled;
    property FocusControl;
    property Font;
    property ParentBiDiMode;
    property ParentColor;
    property ParentFont;
    property ParentShowHint;
    property PopupMenu;
    property ShowAccelChar;
    property ShowHint;
    property Transparent;
    property Layout;
    property Visible;
    property WordWrap;
    property OnClick;
    property OnContextPopup;
    property OnDblClick;
    property OnDragDrop;
    property OnDragOver;
    property OnEndDock;
    property OnEndDrag;
    property OnMouseDown;
    property OnMouseMove;
    property OnMouseUp;
    property OnMouseEnter;
    property OnMouseLeave;
    property OnStartDock;
    property OnStartDrag;
  end;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('ES komponente', [TESDigitalClock]);
end;

{ TESDigitalClock }

constructor TESDigitalClock.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);
  FTimer := TTimer.Create(Self);
  FTimer.OnTimer := UpdateCaption;
end;

destructor TESDigitalClock.Destroy;
begin
  FTimer.Free;
  inherited;
end;

procedure TESDigitalClock.UpdateCaption(Sender: TObject);
begin
  Caption := TimeToStr(Time);
end;

end.
